package egg_energy

import (
	"applet/app/e"
	"code.fnuoos.com/EggPlanet/egg_system_rules.git/rule/egg_energy/enum"
	"fmt"
	"github.com/gin-gonic/gin"
)

func DynamicDataFlowList(c *gin.Context) {

	var kindList = []map[string]interface{}{
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.PersonalActivePointRedemption),
			"value": enum.PersonalActivePointRedemption,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.TeamActivePointRedemption),
			"value": enum.TeamActivePointRedemption,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.AccountBalanceExchangeEggEnergy),
			"value": enum.AccountBalanceExchangeEggEnergy,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.EggEnergyExchangeAccountBalance),
			"value": enum.EggEnergyExchangeAccountBalance,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.SettlementStarLevelDividends),
			"value": enum.SettlementStarLevelDividends,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.CommunityDividends),
			"value": enum.CommunityDividends,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.PlatformProfitability),
			"value": enum.PlatformProfitability,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.MarketplaceMerchantNumsAutoExchangeMarketplaceMerchantFunds),
			"value": enum.MarketplaceMerchantNumsAutoExchangeMarketplaceMerchantFunds,
		},
		{
			"name":  enum.EggEnergyAvailableEnergyFlowKind.String(enum.MarketplaceMerchantFundsAutoExchangeMarketplaceMerchantNums),
			"value": enum.MarketplaceMerchantFundsAutoExchangeMarketplaceMerchantNums,
		},
	}

	fmt.Println(kindList)
	e.OutSuc(c, kindList, nil)
}
